<template>
  <div class="task-item" v-bind:class="{'is-completed': task.completed}">
    <a-row :gutter="[16,16]">
      <a-col :span="20">
        <a-checkbox :checked="task.completed" @change="onSelect">
          {{task.name}}
        </a-checkbox>
      </a-col>
      <a-col :span="4" class="action">
        <a-tooltip placement="top">
          <template slot="title">
            <span>Delete</span>
          </template>
          <a class="delete" @click="$emit('del-task', task.id)">
            <a-icon type="delete" />
          </a>
        </a-tooltip>
      </a-col>
    </a-row>
  </div>
</template>

<script>
import { Row, Col, Checkbox, Tooltip, Icon } from "ant-design-vue";

export default {
  name: 'Task',
  props: ["task"],
  components: {
    'a-row': Row,
    'a-col': Col,
    'a-checkbox': Checkbox,
    'a-tooltip': Tooltip,
    'a-icon': Icon
  },
  methods: {
    onSelect(e) {
      this.task.completed = e.target.checked;
    }
  }
}
</script>

<style scoped>
  .task-item {
    padding: 1rem;
    border-bottom: 1px solid #eee;
  }
  .is-completed {
    text-decoration: line-through;
  }
  .ant-checkbox-wrapper-checked {
    color: #ccc;
  }
</style>
